{% extends 'base_1.html' %}

{% load static %}

{% block content %}

<main id="main">
  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="breadcrumb-hero">
      <div class="container">
        <div class="breadcrumb-hero">
          <h2>Create Trip By Me</h2>
        </div>
      </div>
    </div>
    <div class="container">
      <ol>
        <li><a href="{% url 'home' %}">หน้าหลัก</a></li>
        <li>ทริป</li>
      </ol>
    </div>
  </section>
  <!-- End Breadcrumbs -->

  <!--PEN CONTENT     -->
  <div class="content">


    <!--content inner-->
    <div class="content__inner">
      <div class="container">
        <!--content title-->
        <h2 class="content__title content__title--m-sm">Trip Process</h2>
        <!--animations form-->
        <!-- <form method="post" id="personForm" action="{% url 'trip:person_save' %}"
          data-locations-url="{% url 'trip:ajax_load_locations' %}">
          {% csrf_token %}
        </form> -->
        <form class="pick-animation my-4">
          <!-- <div class="form-row">
              <div class="col-5 m-auto">
                <select name="province" class="pick-animation__select form-control">
                  <option value="">---------</option>
                  {% for province in provinces %}
                  <option value="{{ province }}">
                    <datagrid>{{ province }}</datagrid>
                  </option>
                  {% endfor %}
                </select>
              </div>
            </div> -->
        </form>
      </div>
      <div class="container overflow-hidden">
        <!--multisteps-form-->
        <div class="multisteps-form">
          <!--progress bar-->
          <div class="row">
            <div class="col-12 col-lg-8 ml-auto mr-auto mb-4">
              <div class="multisteps-form__progress" style="padding: 1em;">
                <button class="multisteps-form__progress-btn js-active" type="button"
                  title="Overview">ข้อมูลทั่วไป</button>
                <button class="multisteps-form__progress-btn" type="button" title="Address">สถานที่ท่องเที่ยว</button>
                <button class="multisteps-form__progress-btn" type="button"
                  title="option">ตัวเลือกการท่องเที่ยว</button>
                <button class="multisteps-form__progress-btn" type="button"
                  title="Comments">รายละเอียดเพิ่มเติม</button>
              </div>
            </div>
          </div>
          <!--form panels-->
          <div class="row" style="padding-bottom: 1em;">
            <div class="col-12 col-lg-8 m-auto">
              <form method="post" class="multisteps-form__form" id="personForm" action="{% url 'trip:person_save' %}"
                data-locations-url="{% url 'trip:ajax_load_locations' %}">
                {% csrf_token %}>

                <!--single form panel-->
                <div class="multisteps-form__panel shadow p-4 rounded bg-white js-active" data-animation="scaleIn">
                  <h3 class="multisteps-form__title">ข้อมูลทั่วไป</h3>
                  <div class="multisteps-form__content">


                    <div class="form-row mt-4">
                      <div class="col-12 col-sm-6">
                        <label>ชื่อทริป</label>
                        <input class="multisteps-form__input form-control" type="text" name="name" required id="id_name"
                          placeholder="ตัวอย่าง: ทริปธรรมชาติและการถ่ายรูป" />
                      </div>
                      <div class="col-12 col-sm-6 mt-4 mt-sm-0">
                        <label>เวลาที่สามารถเริ่มออกเดินทางได้</label>
                        <input class="multisteps-form__input form-control" type="text" name="time"
                          placeholder="ชั่วโมง:นาที:วินาที" required id="id_time" />
                      </div>
                    </div>


                    <div class="form-row mt-4">
                      <div class="col-12 col-sm-6">
                        <label>งบประมาณการการท่องเที่ยว</label>
                        <input class="multisteps-form__input form-control" type="number" name="budget" value="0"
                          required id="id_budget" placeholder="งบประมาณการการท่องเที่ยว" />
                      </div>
                      <div class="col-12 col-sm-6 mt-4 mt-sm-0">
                        <label>จำนวนเด็ก</label>
                        <input class="multisteps-form__input form-control" type="number" name="child" value="0" required
                          id="id_child" placeholder="จำนวนเด็ก" />
                      </div>
                    </div>

                    <div class="form-row mt-4">
                      <div class="col-12 col-sm-6 mt-4 mt-sm-0">
                        <label>จำนวนวัยรุ่น</label>
                        <input class="multisteps-form__input form-control" type="number" name="teens" value="0" required
                          id="id_teens" placeholder="จำนวนวัยรุ่น" />
                      </div>
                      <div class="col-12 col-sm-6">
                        <label>จำนวนผู้สูงอายุ</label>
                        <input class="multisteps-form__input form-control" type="number" name="elderly" value="0"
                          required id="id_elderly" placeholder="จำนวนผู้สูงอายุ" />
                      </div>
                    </div>

                    <div class="form-row mt-4">

                      <div class="col-12 col-sm-6">
                        <label>จุดเริ่มต้นและสิ้นสุด</label>

                        <select name="province" class="pick-animation__select form-control">
                          <!-- <option value="">---------</option> -->
                          {% for province in provinces %}
                          <option value="{{ province }}">
                            <datagrid>{{ province }}</datagrid>
                          </option>
                          {% endfor %}
                        </select>
                      </div>
                      <div class="col-12 col-sm-6 mt-4 mt-sm-0">
                        <label>เวลาที่ต้องการเข้าที่พัก</label>
                        <input class="multisteps-form__input form-control" type="text" name="time_hotel"
                          placeholder="ชั่วโมง:นาที:วินาที" required id="id_time_hotel" />
                      </div>
                    </div>

                    <div class="button-row d-flex mt-4">
                      <button class="btn btn-primary ml-auto js-btn-next" type="button" title="Next">ถัดไป</button>
                    </div>
                  </div>
                </div>
                <!--single form panel-->
                <div class="multisteps-form__panel shadow p-4 rounded bg-white" data-animation="scaleIn">
                  <h3 class="multisteps-form__title">สถานที่ท่องเที่ยว</h3>
                  <div class="multisteps-form__content" style="padding-bottom: 15em;">

                    <div class="form-group" name="add_name">
                      <table class="table table-bordered table-striped mb-0" id="dynamic_field">
                        <tr id="row1">
                          <td>
                            <label>หมวดหมู่สถานที่</label>
                            <select class="pick-animation__select form-control" name="category" id="id_category_1">
                              <option value="">---------</option>
                              {% for category in categories %}
                              <option value="{{ category.pk }}" data-location="{{ category.name }}">
                                {{ category.name }}</option>
                              {% endfor %}
                            </select>
                          </td>

                          <td>
                            <label>สถานที่</label>
                            <select class="pick-animation__select form-control" name="location" id="id_location_1">
                              <option value="">---------</option>
                            </select>
                          </td>

                          <td>
                            <label>เวลาเที่ยว</label>
                            <select name="time_count" class="pick-animation__select form-control">
                              <option value="">---------</option>
                              <option value="00:30:00">
                                <datagrid>30 นาที</datagrid>
                              </option>
                              <option value="01:00:00">
                                <datagrid>1 ชั่วโมง</datagrid>
                              </option>
                              <option value="01:30:00">
                                <datagrid>1 ชั่วโมง 30 นาที</datagrid>
                              </option>
                              <option value="02:00:00">
                                <datagrid>2 ชั่วโมง</datagrid>
                              </option>
                            </select>
                          </td>

                          <td>
                            <button type="button" name="add" id="add" class="btn btn-success">
                              Add More
                            </button>
                          </td>
                        </tr>
                      </table>
                    </div>

                    <div class="button-row d-flex mt-4">
                      <button class="btn btn-primary js-btn-prev" type="button" title="Prev">ก่อนหน้า</button>
                      <button class="btn btn-primary ml-auto js-btn-next" type="button" title="Next">ถัดไป</button>
                    </div>
                  </div>
                </div>
                <!--single form panel-->
                <div class="multisteps-form__panel shadow p-4 rounded bg-white" data-animation="scaleIn">
                  <h3 class="multisteps-form__title">ตัวเลือกการท่องเที่ยว</h3>
                  <div class="multisteps-form__content">

                    <div class="row">
                      <div class="col-12 col-md-6 mt-4">
                        <div class="card shadow-sm">
                          <div class="card-body">
                            <label>ฤดูการท่องเที่ยว</label>
                            <select name="seasons" class="form-control">
                              <option value="">---------</option>
                              {% for season in seasons %}
                              <option value="{{ season.id }}">{{ season.name }}</option>
                              {% endfor %}
                            </select>
                          </div>
                        </div>
                      </div>
                      <div class="col-12 col-md-6 mt-4">
                        <div class="card shadow-sm">
                          <div class="card-body">
                            <label>รูปแบบการท่องเที่ยว</label>
                            <select name="styles" class="form-control">
                              <option value="">---------</option>
                              {% for style in styles %}
                              <option value="{{ style.id }}">{{ style.name }}</option>
                              {% endfor %}
                            </select>
                          </div>
                        </div>
                      </div>
                      <div class="col-12 col-md-6 mt-4">
                        <div class="card shadow-sm">
                          <div class="card-body">
                            <label>จุดสนใจ</label>
                            <select name="landmarks" class="form-control">
                              <option value="">---------</option>
                              {% for landmark in landmarks %}
                              <option value="{{ landmark.id }}">{{ landmark.name }}</option>
                              {% endfor %}
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="button-row d-flex mt-4 col-12">
                        <button class="btn btn-primary js-btn-prev" type="button" title="Prev">ก่อนหน้า</button>
                        <button class="btn btn-primary ml-auto js-btn-next" type="button" title="Next">ถัดไป</button>
                      </div>
                    </div>
                  </div>
                </div>
                <!--single form panel-->
                <div class="multisteps-form__panel shadow p-4 rounded bg-white" data-animation="scaleIn">
                  <h3 class="multisteps-form__title">รายละเอียดเพิ่มเติม</h3>
                  <div class="multisteps-form__content">
                    <div class="form-row mt-4">
                      <textarea class="multisteps-form__textarea form-control" name="description"
                        placeholder="รายละเอียดเพิ่มเติม"></textarea>
                    </div>
                    <div class="button-row d-flex mt-4">
                      <button class="btn btn-primary js-btn-prev" type="button" title="Prev">ก่อนหน้า</button>
                      <button id="sweetalert" class="btn btn-success ml-auto" type="submit"
                        title="Send">สร้างทริป</button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>


</main>

{% endblock content %}

{% block custom_js %}
<!-- partial -->
<link rel="stylesheet" href="{% static 'css/multisteps.css' %}">
<script src='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css'></script>
<script src="{% static 'js/script.js' %}"></script>

<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
  integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
<script src="https://kit.fontawesome.com/e21d1eb729.js" crossorigin="anonymous"></script>
<script>

  // var id_catecory_count_list = []
  // var id_location_count_list = []

  var test1_list = ["id_category_1", "id_category_2", "id_category_3", "id_category_4", "id_category_5", "id_category_6", "id_category_7", "id_category_8", "id_category_9", "id_category_10"]
  var test2_list = ["#id_category_1", "#id_category_2", "#id_category_3", "#id_category_4", "#id_category_5", "#id_category_6", "#id_category_7", "#id_category_8", "#id_category_9", "#id_category_10"]
  var test3_list = ["#id_location_1", "#id_location_2", "#id_location_3", "#id_location_4", "#id_location_5", "#id_location_6", "#id_location_7", "#id_location_8", "#id_location_9", "#id_location_10"]

  // test_01 = "#id_category_1";
  // test_11 = "#id_location_1";

  // test_02 = "#id_category_2";
  // test_12 = "#id_location_2";

  // test_03 = "#id_category_3";
  // test_13 = "#id_location_3";

  // test_04 = "#id_category_4";
  // test_14 = "#id_location_4";

  // test_05 = "#id_category_5";
  // test_15 = "#id_location_5";

  // test_06 = "#id_category_6";
  // test_16 = "#id_location_6";

  // id_catecory_count_list.push(test_01)
  // id_catecory_count_list.push(test_02)
  // id_catecory_count_list.push(test_03)
  // id_catecory_count_list.push(test_04)
  // id_catecory_count_list.push(test_05)

  // id_location_count_list.push(test_11)
  // id_location_count_list.push(test_12)
  // id_location_count_list.push(test_13)
  // id_location_count_list.push(test_14)
  // id_location_count_list.push(test_15)



  // for (var i = 0; i < test2_list.length; i++) {
  //   $(test2_list[i]).change(function () {
  //     var url = $("#personForm").attr("data-locations-url"); // get the url of the `load_locations` view
  //     var categoryId = $(this).val();             // get the selected category ID from the HTML input
  //     // alert(categoryId)
  //     $.ajax({                                    // initialize an AJAX request
  //       url: url,                               // set the url of the request (= localhost:8000/person/ajax/load-locations/)
  //       data: {
  //         category: categoryId                // add the category id to the GET parameters
  //       },
  //       success: function (data) {              // `data` is the return of the `load_location` view function
  //         $(test3_list[i]).html(data);       // replace the contents of the location input with the data that came from the server
  //       }
  //     });
  //   });
  // }

  // $(document).ready(function () {

  // for (var i = 0; i < test2_list.length; i++) {
  //   (function (i) {
  //     asynchronousFunction(function () {
  //       // use(i);
  //       $(test2_list[i]).change(function () {
  //         var url = $("#personForm").attr("data-locations-url"); // get the url of the `load_locations` view
  //         var categoryId = $(this).val();             // get the selected category ID from the HTML input
  //         // alert(categoryId)
  //         $.ajax({                                    // initialize an AJAX request
  //           url: url,                               // set the url of the request (= localhost:8000/person/ajax/load-locations/)
  //           data: {
  //             category: categoryId                // add the category id to the GET parameters
  //           },
  //           success: function (data) {              // `data` is the return of the `load_location` view function
  //             $(test3_list[i]).html(data);       // replace the contents of the location input with the data that came from the server
  //           }
  //         });
  //       });


  //     });
  //   })(i);
  // }
  // });

  // $("#id_category_1").change(function () {
  //   var url = $("#personForm").attr("data-locations-url"); // get the url of the `load_locations` view
  //   var categoryId = $(this).val();             // get the selected category ID from the HTML input
  //   // alert(categoryId)
  //   $.ajax({                                    // initialize an AJAX request
  //     url: url,                               // set the url of the request (= localhost:8000/person/ajax/load-locations/)
  //     data: {
  //       category: categoryId                // add the category id to the GET parameters
  //     },
  //     success: function (data) {              // `data` is the return of the `load_location` view function
  //       $("#id_location_1").html(data);       // replace the contents of the location input with the data that came from the server
  //     }
  //   });
  // });


  $(document).on("change", test2_list[0], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[0]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[1], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[1]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[2], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[2]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[3], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[3]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[4], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[4]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[5], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[5]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[6], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[6]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[7], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[7]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[8], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[8]).html(data);
      }
    });
  });
  $(document).on("change", test2_list[9], function () {
    var url = $("#personForm").attr("data-locations-url");
    var categoryId = $(this).val();
    $.ajax({
      url: url,
      type: "GET",
      data: {
        category: categoryId
      },
      success: function (data) {
        $(test3_list[9]).html(data);
      }
    });
  });


  $(document).ready(function () {
    var i = 1;
    var count = 1;
    var id_catecory_count_list = []
    // var id_catecory_count = "#id_category_" + count;
    // id_catecory_count_list.push(id_catecory_count)
    var count_max = 10;
    $("#add").click(function () {
      if (i < count_max) {

        i++;
        // $("#dynamic_field").append('<tr id="row' + i +'"> <td><select name="location" class="form-control" id="add_name"> <option value="">---------</option>  {% for location in locations %} <option value="{{ location.name }}"> {{ location.name }} </option> {% endfor %} </select> </td> <td><button type="button" name="remove" id="' + i + '" class="btn btn-danger btn_remove">X</button></td></tr>');
        var add_field = `
          '<tr id="row'${i}'">';
              '<td> 
                  <select class="form-control" name="category" id="id_category_${i}"> 
                      <option value="">---------</option> 
                      {% for category in categories %} 
                      <option value="{{ category.pk }}">{{ category.name }}</option> 
                      {% endfor %} 
                  </select> 
                </td>'
            '<td> 
                <select class="form-control" name="location" id="id_location_${i}"> 
                    <option value="">---------</option> 
                </select> </td>'
            '<td> 
                <select class="form-control" name="time_count" id="id_time_${i}"> 
                    <option value="">---------</option> 
                    <option value="00:30:00"> <datagrid>30 นาที</datagrid> </option> 
                    <option value="01:00:00"> <datagrid>1 ชั่วโมง</datagrid> </option> 
                    <option value="01:30:00"> <datagrid>1 ชั่วโมง 30 นาที</datagrid> </option> 
                    <option value="02:00:00"> <datagrid>2 ชั่วโมง</datagrid> </option> 
                </select> 
              </td>'
            '<td> 
                <button type="button" name="remove" id="${i}" class="btn btn-danger btn_remove">X</button> 
              </td>';
          '</tr>'`;
        $("#dynamic_field").append(add_field);
      }
      // id_catecory_count = "#id_category_" + count;
      // id_catecory_count_list.push(id_catecory_count)

      // console.log("id_count: " + id_catecory_count)
      // for (var i = 0; i < id_catecory_count_list.length; i++) {
      //     console.log("id_catecory_count_list: " + id_catecory_count_list[i]);
      // }

      // count++;
      // conslod.log(id_catecory_count_list.pop)
    });


    $(document).on("click", ".btn_remove", function () {
      var button_id = $(this).attr("id");
      $("#row" + button_id + "").remove();
    });



    $("#sweetalert").click(function (e) {
      e.preventDefault();

      Swal.fire({
        title: "คุณแน่ใจไหม",
        text: "ถ้าคุณบันทึกแล้วจะไม่สามารถแล้วไขได้!!!",
        icon: "info",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, Save it!"
      }).then(result => {
        if (result.value) {
          Swal.fire({
            icon: "success",
            title: "บันทึกทริปของคุณแล้ว",
            showConfirmButton: false,
            timer: 1500
          }).then(result => {
            $("#personForm").submit();
          });
        }
      });
    });
  });
</script>
{% endblock %}